ATA_HOST_REGISTER(9)

NAME
ata_host_register - register initialized ATA host

SYNOPSIS

int ata_host_register(struct ata_host * host, struct scsi_host_template * sht);

ARGUMENTS

host
    ATA host to register

sht
    template for SCSI host

DESCRIPTION

Register initialized ATA host. host is allocated using ata_host_alloc and fully initialized by LLD. This function starts ports, registers host with ATA and SCSI layers and probe registered devices.

LOCKING

Inherited from calling layer (may sleep).

RETURNS

0 on success, -errno otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT